Package com.omnisci.thrift.server

## Enum TDataFrame._Fields

- java.lang.Object
- - java.lang.Enum<TDataFrame._Fields>
  - - com.omnisci.thrift.server.TDataFrame._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TDataFrame._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TDataFrame

    public static enum TDataFrame._Fields
    extends Enum<TDataFrame._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`ARROW_CONVERSION_TIME_MS`
`DF_BUFFER`
`DF_HANDLE`
`DF_SIZE`
`EXECUTION_TIME_MS`
`SM_HANDLE`
`SM_SIZE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TDataFrame._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TDataFrame._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TDataFrame._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TDataFrame._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TDataFrame._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SM_HANDLE

    public static final TDataFrame._Fields SM_HANDLE

#### SM_SIZE

    public static final TDataFrame._Fields SM_SIZE

#### DF_HANDLE

    public static final TDataFrame._Fields DF_HANDLE

#### DF_SIZE

    public static final TDataFrame._Fields DF_SIZE

#### EXECUTION_TIME_MS

    public static final TDataFrame._Fields EXECUTION_TIME_MS

#### ARROW_CONVERSION_TIME_MS

    public static final TDataFrame._Fields ARROW_CONVERSION_TIME_MS

#### DF_BUFFER

    public static final TDataFrame._Fields DF_BUFFER

### Method Detail

#### values

    public static TDataFrame._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TDataFrame._Fields c : TDataFrame._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TDataFrame._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TDataFrame._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TDataFrame._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TDataFrame._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`